Subject: Further delay

From: [email-masked]
Date: Fri, 25 Nov 2011 16:51:53 -0500 (EST)

There has been a further delay in the shipping of the Vn 1.1 EPROMs. It  
appears that the labels from the UK have gone missing in the mail. I have  
re-ordered another lot of them and will ship out everything when they  arrive.
 
Bob Carmany